Bug 290411 - mkfs.jfs complains that the filesystem you are trying to create isn't mounted
mkfs.jfs complains that the filesystem you are trying to create isn't mounted
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: jfsutils (Show other bugs)
7
All Linux
medium Severity low
: ---
: ---
Assigned To: Josh Boyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-14 01:07 EDT by John Guthrie
Modified: 2008-06-16 22:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:23:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Guthrie 2007-09-14 01:07:39 EDT
Description of problem:
When I try to create a JFS filesystem, I get the following error:

[root@moose ~]# mkfs -V -t jfs /dev/vg_db/var_lib_pgsql 
mkfs (util-linux 2.13-pre7)
mkfs.jfs /dev/vg_db/var_lib_pgsql 
mkfs.jfs version 1.1.10, 19-Oct-2005
The specified device is not a mounted JFS file system.

Um...I would hope that the device on which I was trying to create a file system
was not mounted.  Also, I would generally expect that the device on which I'm
trying to cerate the file system would not have a JFS file system to start with.
 That should not be a cause for failure.

This happens even when I try to run mkfs.jfs directly:

[root@moose ~]# mkfs.jfs /dev/vg_db/var_lib_pgsql
mkfs.jfs version 1.1.10, 19-Oct-2005
The specified device is not a mounted JFS file system.

As you can see, I am trying to create the JFS file system on an LVM device.  I
don't know if that is an issue.

Version-Release number of selected component (if applicable):
1.1.10-4.1

How reproducible:
Every time.

Steps to Reproduce:
1.Install jfsutils
2.unmount a file system
3.try to run mkfs.jfs on the device that you just unmounted.
  
Actual results:
The error displayed above.

Expected results:
I would expect no error, and a JFS file system to actually be created.

Additional info:
Comment 1 John Guthrie 2007-09-14 01:09:21 EDT
I should probably also note that this is occurring with the latest Fedora
kernel, 2.6.22.5-76.fc7.
Comment 2 Dave Kleikamp 2007-09-14 14:00:24 EDT
The message text is very misleading.  "The specified device is not a mounted JFS
file system." really means "The device is currently mounted, but is not a JFS
file system."

For some reason, mkfs.jfs thinks that the device is in use.
Comment 3 Dave Kleikamp 2007-09-14 15:39:10 EDT
From a code inspection, it looks like either mkfs.jfs found
/dev/vg_db/var_lib_pgsql in /proc/mounts, or it somehow thinks that it the root
device.
Comment 4 John Guthrie 2007-09-14 23:42:25 EDT
Well, I can assure you that it is unmounted:

[root@moose ~]# df /var/lib/pgsql
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/vg_db-var_lib_pgsql
                      42977780    180240  40579148   1% /var/lib/pgsql

[root@moose ~]# umount /dev/mapper/vg_db-var_lib_pgsql

[root@moose ~]# df /var/lib/pgsql
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/vg00-var  10125560   1042960   8559952  11% /var

[root@moose ~]# mkfs.jfs /dev/vg_db/var_lib_pgsql 
mkfs.jfs version 1.1.10, 19-Oct-2005
The specified device is not a mounted JFS file system.

(Spaces inserted for clarity.)  But as far as /proc/mounts goes, "Wow!"
is all I can say:

[root@moose ~]# grep /var/lib/pgsql /proc/mounts
/dev/vg_db/var_lib_pgsql /var/lib/pgsql ext3 rw,data=ordered 0 0

[root@moose ~]# umount /var/lib/pgsql
umount: /var/lib/pgsql: not mounted

(That is after the unmount, of course.  WTF!)  Is this more of a kernel
bug perhaps?  Even "df -a" won't display this entry that is listed in
/proc/mounts.  Is there an undocumented "force" option for mkfs.jfs?
Comment 5 Dave Kleikamp 2007-09-15 15:43:59 EDT
I guess the /proc/mounts bug needs to be pursued.

In the mean time, there is no force option for mkfs.jfs.  Will something like
this work?

touch /tmp/mounts
mount -o bind /tmp/mounts /proc/mounts
mkfs.jfs /dev/vg_db/var_lib_pgsql
umount /proc/mounts
rm /tmp/mounts
Comment 6 John Guthrie 2007-09-15 20:34:25 EDT
(In reply to comment #5)
> I guess the /proc/mounts bug needs to be pursued.
> 
> In the mean time, there is no force option for mkfs.jfs.  Will something like
> this work?
> 
> touch /tmp/mounts
> mount -o bind /tmp/mounts /proc/mounts
> mkfs.jfs /dev/vg_db/var_lib_pgsql
> umount /proc/mounts
> rm /tmp/mounts

That was a cool thought, but /proc/mounts didn't take to having a blank file
mounted over it.  Nothing bad, but the mount command you suggested didn't do
anything.
Comment 7 John Guthrie 2007-12-06 23:20:18 EST
I should note at this point that the bug seems to be fixed for me in F8.
Comment 8 Bug Zapper 2008-05-14 10:20:51 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2008-06-16 22:23:36 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.